Bug 1849321 - Recreating recently deleted NodePort service results in 'port is already allocated' error
Summary: Recreating recently deleted NodePort service results in 'port is already allo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.6
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: 4.5.z
Assignee: Stefan Schimanski
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On: 1848379
Blocks: 1849322
TreeView+ depends on / blocked
 
Reported: 2020-06-20 16:32 UTC by OpenShift BugZilla Robot
Modified: 2020-08-10 13:50 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-10 13:50:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 25174 None closed [release-4.5] Bug 1849321: UPSTREAM: 89937: portAllocator sync local data before allocate 2020-09-11 09:35:14 UTC
Red Hat Product Errata RHBA-2020:3188 None None None 2020-08-10 13:50:44 UTC

Comment 4 Xingxing Xia 2020-08-04 11:28:24 UTC
Verified in 4.5.0-0.nightly-2020-08-01-204100 env using steps of bug 1753649#c14.

Comment 6 errata-xmlrpc 2020-08-10 13:50:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.5 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3188


Note You need to log in before you can comment on or make changes to this bug.